Bug 10296 - getty @D not Y2K safe
Summary: getty @D not Y2K safe
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: getty_ps   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-22 03:53 UTC by Kees Cook
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-22 14:40:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kees Cook 2000-03-22 03:53:15 UTC
Using getty I just noticed that the @S string does not
resolve to "2000", but "100" instead.

Oops!

My /etc/issue contains:

-------
@T @S
-------

which just now produced:

-------
21:56:41 21 March 100
-------

Comment 1 Kees Cook 2000-03-22 14:40:59 UTC
Uh, duh.  "@D" not "@S".  I typo'd that one.  The y2k-broken part
is @D.  @S is, of course, just fine.

Comment 2 Bill Nottingham 2000-06-10 17:26:58 UTC
Fixed in getty_ps-2.0.7j-11.


Note You need to log in before you can comment on or make changes to this bug.